# OMXMLSecurity Tokens
[OMXMLSecurity]

## Functions
AXIS2_EXTERN axiom_node_t * | oxs_token_build_binary_security_token_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *id, axis2_char_t *encoding_type, axis2_char_t *value_type, axis2_char_t *data)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_c14n_method_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *algorithm)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_c14n_method (const axutil_env_t *env, axiom_node_t *c14n_mtd_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_cipher_data_element (const axutil_env_t *env, axiom_node_t *parent)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_cipher_value_from_cipher_data (const axutil_env_t *env, axiom_node_t *cd_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_cipher_value_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *cipher_val)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_cipher_value (const axutil_env_t *env, axiom_node_t *cv_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_data_reference_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *data_ref)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_data_reference (const axutil_env_t *env, axiom_node_t *data_ref_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_digest_method_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *algorithm)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_digest_method (const axutil_env_t *env, axiom_node_t *enc_mtd_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_digest_value_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *digest_val)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_digest_value (const axutil_env_t *env, axiom_node_t *sv_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_ds_reference_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *id, axis2_char_t *uri, axis2_char_t *type)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_ds_reference (const axutil_env_t *env, axiom_node_t *ref_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_embedded_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *id)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_embedded_id (const axutil_env_t *env, axiom_node_t *embedded_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_encrypted_data_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *type_attribute, axis2_char_t *id)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_encrypted_key_element (const axutil_env_t *env, axiom_node_t *parent)
AXIS2_EXTERN axiom_node_t * | oxs_token_get_encrypted_key_node (const axutil_env_t *env, axiom_node_t *parent)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_encryption_method_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *algorithm)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_encryption_method (const axutil_env_t *env, axiom_node_t *enc_mtd_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_key_identifier_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *encoding_type, axis2_char_t *value_type, axis2_char_t *value)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_key_info_element (const axutil_env_t *env, axiom_node_t *parent)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_key_name_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *key_name_val)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_reference_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *ref, axis2_char_t *value_type)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_reference (const axutil_env_t *env, axiom_node_t *ref_node)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_reference_value_type (const axutil_env_t *env, axiom_node_t *ref_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_reference_list_element (const axutil_env_t *env, axiom_node_t *parent)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_data_reference_list (const axutil_env_t *env, axiom_node_t *parent, axutil_array_list_t *id_list)
AXIS2_EXTERN axutil_array_list_t * | oxs_token_get_reference_list_data (const axutil_env_t *env, axiom_node_t *ref_list_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_security_token_reference_element (const axutil_env_t *env, axiom_node_t *parent)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_signature_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *id)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_enc_header_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *id)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_signature_method_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *algorithm)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_signature_method (const axutil_env_t *env, axiom_node_t *enc_mtd_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_signature_value_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *signature_val)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_signature_value (const axutil_env_t *env, axiom_node_t *sv_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_signed_info_element (const axutil_env_t *env, axiom_node_t *parent)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_transform_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *algorithm)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_transform (const axutil_env_t *env, axiom_node_t *transform_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_transforms_element (const axutil_env_t *env, axiom_node_t *parent)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_x509_certificate_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *cert_data)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_x509_certificate (const axutil_env_t *env, axiom_node_t *sv_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_x509_data_element (const axutil_env_t *env, axiom_node_t *parent)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_issuer_name_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *value)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_issuer_name (const axutil_env_t *env, axiom_node_t *issuer_name_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_x509_issuer_serial_element (const axutil_env_t *env, axiom_node_t *parent)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_x509_issuer_serial_with_data (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *issuer_name, axis2_char_t *serial_number)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_serial_number_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *value)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_serial_number (const axutil_env_t *env, axiom_node_t *serial_number_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_signature_confirmation_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *id, axis2_char_t *val)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_signature_confirmation_value (const axutil_env_t *env, axiom_node_t *signature_confirmation_node)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_signature_confirmation_id (const axutil_env_t *env, axiom_node_t *signature_confirmation_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_derived_key_token_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *id, axis2_char_t *algo, axis2_char_t *wsc_ns_uri)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_length_element (const axutil_env_t *env, axiom_node_t *parent, int length, axis2_char_t *wsc_ns_uri)
AXIS2_EXTERN int | oxs_token_get_length_value (const axutil_env_t *env, axiom_node_t *length_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_offset_element (const axutil_env_t *env, axiom_node_t *parent, int offset, axis2_char_t *wsc_ns_uri)
AXIS2_EXTERN int | oxs_token_get_offset_value (const axutil_env_t *env, axiom_node_t *offset_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_nonce_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *nonce_val, axis2_char_t *wsc_ns_uri)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_nonce_value (const axutil_env_t *env, axiom_node_t *nonce_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_label_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *label, axis2_char_t *wsc_ns_uri)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_label_value (const axutil_env_t *env, axiom_node_t *label_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_properties_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *properties_val, axis2_char_t *wsc_ns_uri)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_properties_value (const axutil_env_t *env, axiom_node_t *properties_node)
AXIS2_EXTERN axiom_node_t * | oxs_token_build_generation_element (const axutil_env_t *env, axiom_node_t *parent, axis2_char_t *generation_val, axis2_char_t *wsc_ns_uri)
AXIS2_EXTERN axis2_char_t * | oxs_token_get_generation_value (const axutil_env_t *env, axiom_node_t *generation_node)

## Function Documentation

AXIS2_EXTERN axiom_node_t* oxs_token_build_binary_security_token_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | id,
|  | axis2_char_t * | encoding_type,
|  | axis2_char_t * | value_type,
|  | axis2_char_t * | data |
| ) |  |  |

Creates <wsse:BinarySecurityToken> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_c14n_method_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | algorithm |
| ) |  |  |

Creates <ds:CanonicalizationMethod> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_cipher_data_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent |
| ) |  |  |

Creates <xenc:CipherData> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_cipher_value_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | cipher_val |
| ) |  |  |

Creates <xenc:CipherValue> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_data_reference_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | data_ref |
| ) |  |  |

Creates <xenc:DataReference> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_data_reference_list | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axutil_array_list_t * | id_list |
| ) |  |  |

Creates <xenc:DataReference> elements under <xenc:ReferenceList> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_derived_key_token_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | id,
|  | axis2_char_t * | algo,
|  | axis2_char_t * | wsc_ns_uri |
| ) |  |  |

Creates <wsc:DerivedKeyToken> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_digest_method_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | algorithm |
| ) |  |  |

Creates <ds:DigestMethod> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_digest_value_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | digest_val |
| ) |  |  |

Creates <ds:DigestValue> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_ds_reference_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | id,
|  | axis2_char_t * | uri,
|  | axis2_char_t * | type |
| ) |  |  |

Creates <ds:Reference> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_embedded_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | id |
| ) |  |  |

Creates <wsse:Embedded> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_enc_header_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | id |
| ) |  |  |

Creates <wss11:EncryptedHeader> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_encrypted_data_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | type_attribute,
|  | axis2_char_t * | id |
| ) |  |  |

Creates <xenc:EncryptedData> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_encrypted_key_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent |
| ) |  |  |

Creates <xenc:EncryptedKey> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_encryption_method_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | algorithm |
| ) |  |  |

Creates <xenc:EncryptionMethod> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_generation_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | generation_val,
|  | axis2_char_t * | wsc_ns_uri |
| ) |  |  |

Creates <wsc:Generation> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_issuer_name_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | value |
| ) |  |  |

Creates <ds:X509IssuerName> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_key_identifier_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | encoding_type,
|  | axis2_char_t * | value_type,
|  | axis2_char_t * | value |
| ) |  |  |

Creates <wsse:KeyIdentifier> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_key_info_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent |
| ) |  |  |

Creates <ds:KeyInfo> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_key_name_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | key_name_val |
| ) |  |  |

Creates <ds:KeyName> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_label_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | label,
|  | axis2_char_t * | wsc_ns_uri |
| ) |  |  |

Creates <wsc:Label> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_length_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | int | length,
|  | axis2_char_t * | wsc_ns_uri |
| ) |  |  |

Creates <wsc:Length> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_nonce_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | nonce_val,
|  | axis2_char_t * | wsc_ns_uri |
| ) |  |  |

Creates <wsc:Nonce> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_offset_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | int | offset,
|  | axis2_char_t * | wsc_ns_uri |
| ) |  |  |

Creates <wsc:Offset> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_properties_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | properties_val,
|  | axis2_char_t * | wsc_ns_uri |
| ) |  |  |

Creates <wsc:Properties> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_reference_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | ref,
|  | axis2_char_t * | value_type |
| ) |  |  |

Creates <wsse:Reference> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_reference_list_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent |
| ) |  |  |

Creates <xenc:ReferenceList> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_security_token_reference_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent |
| ) |  |  |

Creates <wsse:SecurityTokenReference> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_serial_number_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | value |
| ) |  |  |

Creates <ds:X509SerialNumber> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_signature_confirmation_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | id,
|  | axis2_char_t * | val |
| ) |  |  |

Creates <wsse11:SignatureConfirmation> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_signature_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | id |
| ) |  |  |

Creates <ds:Signature> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_signature_method_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | algorithm |
| ) |  |  |

Creates <ds:SignatureMethod> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_signature_value_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | signature_val |
| ) |  |  |

Creates <ds:SignatureValue> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_signed_info_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent |
| ) |  |  |

Creates <ds:SignedInfo> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_transform_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | algorithm |
| ) |  |  |

Creates <ds:Transform> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_transforms_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent |
| ) |  |  |

Creates <ds:Transforms> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_x509_certificate_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | cert_data |
| ) |  |  |

Creates <ds:X509Certificate> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_x509_data_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent |
| ) |  |  |

Creates <ds:X509Data> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_x509_issuer_serial_element | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent |
| ) |  |  |

Creates <ds:X509IssuerSerial> element

AXIS2_EXTERN axiom_node_t* oxs_token_build_x509_issuer_serial_with_data | ( | const axutil_env_t * | env,
|  | axiom_node_t * | parent,
|  | axis2_char_t * | issuer_name,
|  | axis2_char_t * | serial_number |
| ) |  |  |

Creates <ds:X509IssuerSerial> element with issuer name and serial number

AXIS2_EXTERN axis2_char_t* oxs_token_get_c14n_method | ( | const axutil_env_t * | env,
|  | axiom_node_t * | c14n_mtd_node |
| ) |  |  |

Gets algorithm from <ds:CanonicalizationMethod> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_cipher_value | ( | const axutil_env_t * | env,
|  | axiom_node_t * | cv_node |
| ) |  |  |

Gets value from <xenc:CipherValue> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_cipher_value_from_cipher_data | ( | const axutil_env_t * | env,
|  | axiom_node_t * | cd_node |
| ) |  |  |

Gets cipher value from <xenc:CipherData> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_data_reference | ( | const axutil_env_t * | env,
|  | axiom_node_t * | data_ref_node |
| ) |  |  |

Gets URI reference from <xenc:DataReference> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_digest_method | ( | const axutil_env_t * | env,
|  | axiom_node_t * | enc_mtd_node |
| ) |  |  |

Gets the algorithm from <ds:DigestMethod> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_digest_value | ( | const axutil_env_t * | env,
|  | axiom_node_t * | sv_node |
| ) |  |  |

Gets the value from <ds:DigestValue> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_ds_reference | ( | const axutil_env_t * | env,
|  | axiom_node_t * | ref_node |
| ) |  |  |

Gets URI reference from <ds:Reference> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_embedded_id | ( | const axutil_env_t * | env,
|  | axiom_node_t * | embedded_node |
| ) |  |  |

Gets id from <wsse:Embedded> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_encryption_method | ( | const axutil_env_t * | env,
|  | axiom_node_t * | enc_mtd_node |
| ) |  |  |

Gets algorithm from <xenc:EncryptionMethod> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_generation_value | ( | const axutil_env_t * | env,
|  | axiom_node_t * | generation_node |
| ) |  |  |

Gets value from <wsc:Generation> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_issuer_name | ( | const axutil_env_t * | env,
|  | axiom_node_t * | issuer_name_node |
| ) |  |  |

Gets issuer name from <ds:X509IssuerName> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_label_value | ( | const axutil_env_t * | env,
|  | axiom_node_t * | label_node |
| ) |  |  |

Gets value from <wsc:Label> element

AXIS2_EXTERN int oxs_token_get_length_value | ( | const axutil_env_t * | env,
|  | axiom_node_t * | length_node |
| ) |  |  |

Gets value from <wsc:Length> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_nonce_value | ( | const axutil_env_t * | env,
|  | axiom_node_t * | nonce_node |
| ) |  |  |

Gets value from <wsc:Nonce> element

AXIS2_EXTERN int oxs_token_get_offset_value | ( | const axutil_env_t * | env,
|  | axiom_node_t * | offset_node |
| ) |  |  |

Gets value from <wsc:Offset> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_properties_value | ( | const axutil_env_t * | env,
|  | axiom_node_t * | properties_node |
| ) |  |  |

Gets value from <wsc:Properties> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_reference | ( | const axutil_env_t * | env,
|  | axiom_node_t * | ref_node |
| ) |  |  |

Gets URI reference from <wsse:Reference> element

AXIS2_EXTERN axutil_array_list_t* oxs_token_get_reference_list_data | ( | const axutil_env_t * | env,
|  | axiom_node_t * | ref_list_node |
| ) |  |  |

Gets URI references from <xenc:DataReference> elements under <xenc:ReferenceList> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_reference_value_type | ( | const axutil_env_t * | env,
|  | axiom_node_t * | ref_node |
| ) |  |  |

Gets value type from <wsse:Reference> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_serial_number | ( | const axutil_env_t * | env,
|  | axiom_node_t * | serial_number_node |
| ) |  |  |

Gets serial number from <ds:X509SerialNumber> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_signature_confirmation_id | ( | const axutil_env_t * | env,
|  | axiom_node_t * | signature_confirmation_node |
| ) |  |  |

Gets id from <wsse11:SignatureConfirmation> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_signature_confirmation_value | ( | const axutil_env_t * | env,
|  | axiom_node_t * | signature_confirmation_node |
| ) |  |  |

Gets value from <wsse11:SignatureConfirmation> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_signature_method | ( | const axutil_env_t * | env,
|  | axiom_node_t * | enc_mtd_node |
| ) |  |  |

Gets algorithm from <ds:SignatureMethod> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_signature_value | ( | const axutil_env_t * | env,
|  | axiom_node_t * | sv_node |
| ) |  |  |

Gets signature value from <ds:SignatureValue> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_transform | ( | const axutil_env_t * | env,
|  | axiom_node_t * | transform_node |
| ) |  |  |

Gets algorithm from <ds:Transform> element

AXIS2_EXTERN axis2_char_t* oxs_token_get_x509_certificate | ( | const axutil_env_t * | env,
|  | axiom_node_t * | sv_node |
| ) |  |  |

Gets data from <ds:X509Certificate> element